By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
458,224 Members | 1,120 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 458,224 IT Pros & Developers. It's quick & easy.

PHP 4.4.0/GD/freetype compilation problems

P: n/a

Hello,

I've been running php/apache/etc locally on my powerbook for a long
time, but am having problems activating freetype with a new version of
php.

I'm using:
php 4.4.0
freetype 2.1.10 (compiled from source)
gd 2.0.28 (came with php)

PHP configures just fine with this config line:
./configure --with-zlib-dir=/usr/include --with-libjpeg=/sw
--with-libtiff=/sw --with-libpng=/sw --with-freetype-dir=/usr/X11R6/
--with-gd --enable-gd-native-ttf --with-png-dir=/sw --with-mysql=/sw
--with-xml --with-jpeg-dir=/sw --with-apxs

It can find FreeType, and the gd ttf function integrator.

The problem comes when I run 'make' for php:
In file included from /sw-comp/php-4.4.0/ext/gd/libgd/gdft.c:65:
/usr/local/include/freetype2/freetype/ftglyph.h:40:2: #error
"freetype.h of FreeType 1 has been loaded!"
/usr/local/include/freetype2/freetype/ftglyph.h:41:2: #error "Please
fix the directory search order for header files"
/usr/local/include/freetype2/freetype/ftglyph.h:42:2: #error "so that
freetype.h of FreeType 2 is found first."

Anyone seen this before?

Thanks,
- Andrew
--
awaegel
------------------------------------------------------------------------
awaegel's Profile: http://www.macosx.com/forums/member.php?userid=44430
View this thread: http://www.macosx.com/forums/showthread.php?t=237441
macosx.com - The Answer to Mac Support - http://www.macosx.com

Aug 10 '05 #1
Share this Question
Share on Google+
1 Reply


P: n/a
think you need --with-gd2

Aug 10 '05 #2

This discussion thread is closed

Replies have been disabled for this discussion.